Update KPI, owner/admin only
curl --request PATCH \
--url https://atollhq.com/api/orgs/{id}/kpis/{kpiId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"goal_id": "<string>",
"unit_label": "<string>",
"target_value": 123,
"source_config": {},
"stale_after_hours": 123
}
'import requests
url = "https://atollhq.com/api/orgs/{id}/kpis/{kpiId}"
payload = {
"name": "<string>",
"description": "<string>",
"goal_id": "<string>",
"unit_label": "<string>",
"target_value": 123,
"source_config": {},
"stale_after_hours": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
goal_id: '<string>',
unit_label: '<string>',
target_value: 123,
source_config: {},
stale_after_hours: 123
})
};
fetch('https://atollhq.com/api/orgs/{id}/kpis/{kpiId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}{
"error": "Unauthorized",
"code": "unauthorized"
}Strategy
Update KPI, owner/admin only
Update a readable KPI. Requires owner/admin Strategy write access.
PATCH
/
api
/
orgs
/
{id}
/
kpis
/
{kpiId}
Update KPI, owner/admin only
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
count, percentage, currency, duration, ratio, custom Available options:
increase, decrease, maintain Use formula with source_config.formula=goal_linked_issue_completion for calculated goal task-completion KPIs.
Available options:
manual, webhook, api_poll, formula Source-specific configuration. For internal task completion KPIs, use {"formula":"goal_linked_issue_completion","done_statuses":["done"]}.
Response
Successful response
The response is of type object.
⌘I

